Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Class ServletResponseHttpWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          org.eclipse.jetty.server.ServletResponseHttpWrapper

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

    public class ServletResponseHttpWrapper

extends ServletResponseWrapper
implements HttpServletResponse

Wrapper to tunnel a ServletResponse via a HttpServletResponse

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`ServletResponseHttpWrapper(ServletResponse response)`

Method Summary
`void` | `addCookie(Cookie cookie)` Adds the specified cookie to the response.
`void` | `addDateHeader(java.lang.String name, long date)` Adds a response header with the given name and date-value.
`void` | `addHeader(java.lang.String name, java.lang.String value)` Adds a response header with the given name and value.
`void` | `addIntHeader(java.lang.String name, int value)` Adds a response header with the given name and integer value.
`boolean` | `containsHeader(java.lang.String name)` Returns a boolean indicating whether the named response header has already been set.
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)` Encodes the specified URL for use in the `sendRedirect` method or, if encoding is not needed, returns the URL unchanged.
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)` Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged.
`java.lang.String` | `getHeader(java.lang.String name)` Gets the value of the response header with the given name.
`java.util.Collection<java.lang.String>` | `getHeaderNames()` Gets the names of the headers of this response.
`java.util.Collection<java.lang.String>` | `getHeaders(java.lang.String name)` Gets the values of the response header with the given name.
`int` | `getStatus()` Gets the current status code of this response.
`void` | `sendError(int sc)` Sends an error response to the client using the specified status code and clears the buffer.
`void` | `sendError(int sc, java.lang.String msg)` Sends an error response to the client using the specified status and clears the buffer.
`void` | `sendRedirect(java.lang.String location)` Sends a temporary redirect response to the client using the specified redirect location URL and clears the buffer.
`void` | `setDateHeader(java.lang.String name, long date)` Sets a response header with the given name and date-value.
`void` | `setHeader(java.lang.String name, java.lang.String value)` Sets a response header with the given name and value.
`void` | `setIntHeader(java.lang.String name, int value)` Sets a response header with the given name and integer value.
`void` | `setStatus(int sc)` Sets the status code for this response.
`void` | `setStatus(int sc, java.lang.String sm)`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

Constructor Detail

### ServletResponseHttpWrapper

    public ServletResponseHttpWrapper(ServletResponse response)

Method Detail

### addCookie

    public void addCookie(Cookie cookie)

  Description copied from interface: `HttpServletResponse`
  Adds the specified cookie to the response. This method can be called multiple times to set more than one cookie.

  Specified by:
    `addCookie` in interface `HttpServletResponse`
  Parameters:
    `cookie` - the Cookie to return to the client

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Description copied from interface: `HttpServletResponse`
  Returns a boolean indicating whether the named response header has already been set.

  Specified by:
    `containsHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the header name
  Returns:
    `true` if the named response header has already been set; `false` otherwise

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Description copied from interface: `HttpServletResponse`
  Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged. The implementation of this method includes the logic to determine whether the session ID needs to be encoded in the URL. For example, if the browser supports cookies, or session tracking is turned off, URL encoding is unnecessary.

  For robust session tracking, all URLs emitted by a servlet should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.

  Specified by:
    `encodeURL` in interface `HttpServletResponse`
  Parameters:
    `url` - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Description copied from interface: `HttpServletResponse`
  Encodes the specified URL for use in the `sendRedirect` method or, if encoding is not needed, returns the URL unchanged. The implementation of this method includes the logic to determine whether the session ID needs to be encoded in the URL. Because the rules for making this determination can differ from those used to decide whether to encode a normal link, this method is separated from the `encodeURL` method.

  All URLs sent to the `HttpServletResponse.sendRedirect` method should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.

  Specified by:
    `encodeRedirectURL` in interface `HttpServletResponse`
  Parameters:
    `url` - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.
  See Also:
    `HttpServletResponse.sendRedirect(java.lang.String)`, `HttpServletResponse.encodeUrl(java.lang.String)`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `HttpServletResponse`
  Parameters:
    `url` - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `HttpServletResponse`
  Parameters:
    `url` - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.

### sendError

    public void sendError(int sc,
                          java.lang.String msg)
                   throws java.io.IOException

  Description copied from interface: `HttpServletResponse`
  Sends an error response to the client using the specified status and clears the buffer. The server defaults to creating the response to look like an HTML-formatted server error page containing the specified message, setting the content type to "text/html". The server will preserve cookies and may clear or update any headers needed to serve the error page as a valid response. If an error-page declaration has been made for the web application corresponding to the status code passed in, it will be served back in preference to the suggested msg parameter and the msg parameter will be ignored.

  If the response has already been committed, this method throws an IllegalStateException. After using this method, the response should be considered to be committed and should not be written to.

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Parameters:
    `sc` - the error status code
    `msg` - the descriptive message
  Throws:
    `java.io.IOException` - If an input or output exception occurs

### sendError

    public void sendError(int sc)
                   throws java.io.IOException

  Description copied from interface: `HttpServletResponse`
  Sends an error response to the client using the specified status code and clears the buffer. The server will preserve cookies and may clear or update any headers needed to serve the error page as a valid response. If an error-page declaration has been made for the web application corresponding to the status code passed in, it will be served back the error page

  If the response has already been committed, this method throws an IllegalStateException. After using this method, the response should be considered to be committed and should not be written to.

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Parameters:
    `sc` - the error status code
  Throws:
    `java.io.IOException` - If an input or output exception occurs

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Description copied from interface: `HttpServletResponse`
  Sends a temporary redirect response to the client using the specified redirect location URL and clears the buffer. The buffer will be replaced with the data set by this method. Calling this method sets the status code to `HttpServletResponse.SC_FOUND` 302 (Found). This method can accept relative URLs;the servlet container must convert the relative URL to an absolute URL before sending the response to the client. If the location is relative without a leading '/' the container interprets it as relative to the current request URI. If the location is relative with a leading '/' the container interprets it as relative to the servlet container root.

  If the response has already been committed, this method throws an IllegalStateException. After using this method, the response should be considered to be committed and should not be written to.

  Specified by:
    `sendRedirect` in interface `HttpServletResponse`
  Parameters:
    `location` - the redirect location URL
  Throws:
    `java.io.IOException` - If an input or output exception occurs

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long date)

  Description copied from interface: `HttpServletResponse`
  Sets a response header with the given name and date-value. The date is specified in terms of milliseconds since the epoch. If the header had already been set, the new value overwrites the previous one. The `containsHeader` method can be used to test for the presence of a header before setting its value.

  Specified by:
    `setDateHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the header to set
    `date` - the assigned date value
  See Also:
    `HttpServletResponse.containsHeader(java.lang.String)`, `HttpServletResponse.addDateHeader(java.lang.String, long)`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long date)

  Description copied from interface: `HttpServletResponse`
  Adds a response header with the given name and date-value. The date is specified in terms of milliseconds since the epoch. This method allows response headers to have multiple values.

  Specified by:
    `addDateHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the header to set
    `date` - the additional date value
  See Also:
    `HttpServletResponse.setDateHeader(java.lang.String, long)`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Description copied from interface: `HttpServletResponse`
  Sets a response header with the given name and value. If the header had already been set, the new value overwrites the previous one. The `containsHeader` method can be used to test for the presence of a header before setting its value.

  Specified by:
    `setHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the header
    `value` - the header value If it contains octet string, it should be encoded according to RFC 2047 (http://www.ietf.org/rfc/rfc2047.txt)
  See Also:
    `HttpServletResponse.containsHeader(java.lang.String)`, `HttpServletResponse.addHeader(java.lang.String, java.lang.String)`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Description copied from interface: `HttpServletResponse`
  Adds a response header with the given name and value. This method allows response headers to have multiple values.

  Specified by:
    `addHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the header
    `value` - the additional header value If it contains octet string, it should be encoded according to RFC 2047 (http://www.ietf.org/rfc/rfc2047.txt)
  See Also:
    `HttpServletResponse.setHeader(java.lang.String, java.lang.String)`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Description copied from interface: `HttpServletResponse`
  Sets a response header with the given name and integer value. If the header had already been set, the new value overwrites the previous one. The `containsHeader` method can be used to test for the presence of a header before setting its value.

  Specified by:
    `setIntHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the header
    `value` - the assigned integer value
  See Also:
    `HttpServletResponse.containsHeader(java.lang.String)`, `HttpServletResponse.addIntHeader(java.lang.String, int)`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Description copied from interface: `HttpServletResponse`
  Adds a response header with the given name and integer value. This method allows response headers to have multiple values.

  Specified by:
    `addIntHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the header
    `value` - the assigned integer value
  See Also:
    `HttpServletResponse.setIntHeader(java.lang.String, int)`

### setStatus

    public void setStatus(int sc)

  Description copied from interface: `HttpServletResponse`
  Sets the status code for this response.

  This method is used to set the return status code when there is no error (for example, for the SC_OK or SC_MOVED_TEMPORARILY status codes).

  If this method is used to set an error code, then the container's error page mechanism will not be triggered. If there is an error and the caller wishes to invoke an error page defined in the web application, then `HttpServletResponse.sendError(int, java.lang.String)` must be used instead.

  This method preserves any cookies and other response headers.

  Valid status codes are those in the 2XX, 3XX, 4XX, and 5XX ranges. Other status codes are treated as container specific.

  Specified by:
    `setStatus` in interface `HttpServletResponse`
  Parameters:
    `sc` - the status code
  See Also:
    `HttpServletResponse.sendError(int, java.lang.String)`

### setStatus

    public void setStatus(int sc,
                          java.lang.String sm)

  Specified by:
    `setStatus` in interface `HttpServletResponse`
  Parameters:
    `sc` - the status code
    `sm` - the status message

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  Description copied from interface: `HttpServletResponse`
  Gets the value of the response header with the given name.

  If a response header with the given name exists and contains multiple values, the value that was added first will be returned.

  This method considers only response headers set or added via `HttpServletResponse.setHeader(java.lang.String, java.lang.String)`, `HttpServletResponse.addHeader(java.lang.String, java.lang.String)`, `HttpServletResponse.setDateHeader(java.lang.String, long)`, `HttpServletResponse.addDateHeader(java.lang.String, long)`, `HttpServletResponse.setIntHeader(java.lang.String, int)`, or `HttpServletResponse.addIntHeader(java.lang.String, int)`, respectively.

  Specified by:
    `getHeader` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the response header whose value to return
  Returns:
    the value of the response header with the given name, or `null` if no header with the given name has been set on this response
  See Also:
    `HttpServletResponse.getHeader(java.lang.String)`

### getHeaderNames

    public java.util.Collection<java.lang.String> getHeaderNames()

  Description copied from interface: `HttpServletResponse`
  Gets the names of the headers of this response.

  This method considers only response headers set or added via `HttpServletResponse.setHeader(java.lang.String, java.lang.String)`, `HttpServletResponse.addHeader(java.lang.String, java.lang.String)`, `HttpServletResponse.setDateHeader(java.lang.String, long)`, `HttpServletResponse.addDateHeader(java.lang.String, long)`, `HttpServletResponse.setIntHeader(java.lang.String, int)`, or `HttpServletResponse.addIntHeader(java.lang.String, int)`, respectively.

  Any changes to the returned `Collection` must not affect this `HttpServletResponse`.

  Specified by:
    `getHeaderNames` in interface `HttpServletResponse`
  Returns:
    a (possibly empty) `Collection` of the names of the headers of this response
  See Also:
    `HttpServletResponse.getHeaderNames()`

### getHeaders

    public java.util.Collection<java.lang.String> getHeaders(java.lang.String name)

  Description copied from interface: `HttpServletResponse`
  Gets the values of the response header with the given name.

  This method considers only response headers set or added via `HttpServletResponse.setHeader(java.lang.String, java.lang.String)`, `HttpServletResponse.addHeader(java.lang.String, java.lang.String)`, `HttpServletResponse.setDateHeader(java.lang.String, long)`, `HttpServletResponse.addDateHeader(java.lang.String, long)`, `HttpServletResponse.setIntHeader(java.lang.String, int)`, or `HttpServletResponse.addIntHeader(java.lang.String, int)`, respectively.

  Any changes to the returned `Collection` must not affect this `HttpServletResponse`.

  Specified by:
    `getHeaders` in interface `HttpServletResponse`
  Parameters:
    `name` - the name of the response header whose values to return
  Returns:
    a (possibly empty) `Collection` of the values of the response header with the given name
  See Also:
    `HttpServletResponse.getHeaders(java.lang.String)`

### getStatus

    public int getStatus()

  Description copied from interface: `HttpServletResponse`
  Gets the current status code of this response.

  Specified by:
    `getStatus` in interface `HttpServletResponse`
  Returns:
    the current status code of this response
  See Also:
    `HttpServletResponse.getStatus()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.